%global modname dateutil

Name:           python3-%{modname}
Version:        2.8.0
Release:        3%{?dist}
Summary:        Powerful extensions to the standard datetime module

License:        BSD
URL:            https://github.com/dateutil/dateutil
Source:         https://files.pythonhosted.org/packages/source/p/python-%{modname}/python-%{modname}-%version.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools_scm

Requires:       tzdata
Requires:       python%{python3_pkgversion}-six

%description
The dateutil module provides powerful extensions to the standard datetime
module available in Python.

%package -n python%{python3_pkgversion}-%{modname}
Summary:        Powerful extensions to the standard datetime module
Requires:       tzdata
Requires:       python%{python3_pkgversion}-six
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
The dateutil module provides powerful extensions to the standard datetime
module available in Python.

%package doc
Summary: API documentation for python-dateutil
%description doc
This package contains API documentation for dateutil

%prep
%setup -q -n python-%{modname}-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%doc NEWS README.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/*.egg-info

%changelog
* Wed Nov 6 2019 Steve Traylen <steve.traylen@cern.ch> - 2.8.0-3
- Move python_provide to subpackage preambe.

* Wed Nov 6 2019 Steve Traylen <steve.traylen@cern.ch> - 2.8.0-2
- Buildrequire setuptools_scm

* Wed Nov 6 2019 Steve Traylen <steve.traylen@cern.ch> - 2.8.0-1
- Intial release of python3-dateutil for el6 and 7.

